KDE 4.7 PyKDE API Reference

- KDE's Python API

# MessageFolderAttribute Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Attribute
Namespace: Akonadi

## Detailed Description

Message folder information. Used eg. by mail clients to decide how to display the content of such collections

Since:
  4.4

## Methods
| __init__ (self)
| __init__ (self, Akonadi.MessageFolderAttribute other)
Akonadi.MessageFolderAttribute | clone (self)
| deserialize (self, QByteArray data)
bool | isOutboundFolder (self)
Akonadi.MessageFolderAttribute | operator = (self, Akonadi.MessageFolderAttribute a0)
QByteArray | serialized (self)
| setOutboundFolder (self, bool outbound)
QByteArray | type (self)

## Method Documentation

__init__ | ( |  | self ) |

Creates an empty folder attribute.

__init__ | ( | self, |
|  | Akonadi.MessageFolderAttribute | other
| ) |  |  |

Copy constructor.

Akonadi.MessageFolderAttribute clone | ( |  | self ) |

deserialize | ( | self, |
|  | QByteArray | data
| ) |  |  |

bool isOutboundFolder | ( |  | self ) |

Indicates if the folder is supposed to contain mostly outbound messages. In such a case mail clients display the recipient address, otherwise they display the sender address.

Returns:
  true if the folder contains outbound messages

Akonadi.MessageFolderAttribute operator = | ( | self, |
|  | Akonadi.MessageFolderAttribute | a0
| ) |  |  |

QByteArray serialized | ( |  | self ) |

setOutboundFolder | ( | self, |
|  | bool | outbound
| ) |  |  |

Set if the folder should be considered as containing mostly outbound messages.

QByteArray type | ( |  | self ) |